<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/cita_soporte_tecnico.php';
$response = array();

if (!isset($_POST['activo'])) {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
    echo json_encode($response);
    return;
}

$activo = $_POST['activo'];

$citas_soporte_tecnico = CitaSoporteTecnico::mdlGetCitasSoporteTecnico($activo);

if (!$citas_soporte_tecnico) {
    $response['response'] = 'error';
    $response['data'] = [];
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $citas_soporte_tecnico;

echo json_encode($response);